Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-5470

Update ticket_14297_handle_upstart test to confine out for Ubuntu version numbers

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Normal
    • Resolution: Fixed
    • None
    • PUP 4.3.0
    • None
    • None
    • 1
    • Server Emerald 2015-11-11
    • Not Needed

    Description

      The ticket_14297_handle_upstart test is currently being run in the Puppet Server CI pipeline for Vivid but is failing because it confines out Ubuntu platforms matching code names - v-z (Vivid+) ... - as opposed to version numbers - 15.04+. It doesn't fail in the AIO agent pipeline because that pipeline's beaker configs use Ubuntu code names rather than version numbers.

      The test or beaker configs should be updated to allow for the test to pass in both the AIO and Puppet Server CI pipelines.

      Attachments

        Issue Links

          Activity

            People

              jeremy.barlow Jeremy Barlow
              jeremy.barlow Jeremy Barlow
              Erik Dasher Erik Dasher
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Zendesk Support